package com.xin.cloud.nacosConsumer;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.context.annotation.Bean;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.client.RestTemplate;

@RestController

public class NacosConsumerController {
	
	private final RestTemplate restTemplate;
	


    @Autowired
    public NacosConsumerController(RestTemplate restTemplate) {this.restTemplate = restTemplate;}

    @RequestMapping(value = "/echoInvoke/{str}", method = RequestMethod.GET)
    public String echoInvoke(@PathVariable String str) {
        return restTemplate.getForObject("http://springboot2-nacos-discovery/echo/" + str, String.class);
    }
    
	@RequestMapping(value = "/echo/{string}", method = RequestMethod.GET)
	public String echo(@PathVariable String string) {
		return "Hello Nacos Discovery " + string;
	}
	
	
	@Autowired
    private EchoService echoService;
	
	@GetMapping(value = "/feignEcho/{str}")
    public String feignEcho(@PathVariable String str) {
        return echoService.echo(str);
    }

}
